
[[_paths]]
== Paths

[[_createintegermetrics]]
=== Create integer Metrics
....
POST /integerMetrics
....


==== Description
Returns integer metrics information for the application.


==== Parameters

[options="header", cols=".^2a,.^3a,.^9a,.^4a"]
|===
|Type|Name|Description|Schema
|**Body**|**body** +
__optional__|String metrics|< string, integer (int32) > map
|===


==== Responses

[options="header", cols=".^2a,.^14a,.^4a"]
|===
|HTTP Code|Description|Schema
|**200**|OK|< string, string > map
|===


==== Consumes

* `application/json`


==== Produces

* `\*/*`


==== Tags

* Spring Boot Actuator


[[_createmappings]]
=== Create Path Mappings
....
POST /mappings
....


==== Description
Returns a collated list of all `@RequestMapping` paths.


==== Parameters

[options="header", cols=".^2a,.^3a,.^9a,.^4a"]
|===
|Type|Name|Description|Schema
|**Body**|**body** +
__optional__|Mappings|< string, <<_mappinginfo,MappingInfo>> > map
|===


==== Responses

[options="header", cols=".^2a,.^14a,.^4a"]
|===
|HTTP Code|Description|Schema
|**200**|OK|< string, <<_mappinginfo,MappingInfo>> > map
|===


==== Consumes

* `application/json`


==== Produces

* `\*/*`


==== Tags

* Spring Boot Actuator


[[_createmetrics]]
=== Create Metrics
....
POST /metrics
....


==== Description
Returns metrics information for the application.


==== Parameters

[options="header", cols=".^2a,.^3a,.^9a,.^4a"]
|===
|Type|Name|Description|Schema
|**Body**|**body** +
__optional__|Metrics|< string, <<_createmetrics_body,body>> > map
|===

[[_createmetrics_body]]
**body**

[options="header", cols=".^3a,.^4a"]
|===
|Name|Schema
|**p1** +
__optional__|string
|**p2** +
__optional__|string
|===


==== Responses

[options="header", cols=".^2a,.^14a,.^4a"]
|===
|HTTP Code|Description|Schema
|**200**|OK|< string, <<_createmetrics_response_200,Response 200>> > map
|===

[[_createmetrics_response_200]]
**Response 200**

[options="header", cols=".^3a,.^4a"]
|===
|Name|Schema
|**p1** +
__optional__|string
|**p2** +
__optional__|string
|===


==== Consumes

* `application/json`


==== Produces

* `\*/*`


==== Tags

* Spring Boot Actuator


[[_createstringmetrics]]
=== Create string Metrics
....
POST /stringMetrics
....


==== Description
Returns string metrics information for the application.


==== Parameters

[options="header", cols=".^2a,.^3a,.^9a,.^4a"]
|===
|Type|Name|Description|Schema
|**Body**|**body** +
__optional__|String metrics|< string, string > map
|===


==== Responses

[options="header", cols=".^2a,.^14a,.^4a"]
|===
|HTTP Code|Description|Schema
|**200**|OK|< string, string > map
|===


==== Consumes

* `application/json`


==== Produces

* `\*/*`


==== Tags

* Spring Boot Actuator



